org.jfree.ui

## Class VerticalAlignment

- java.lang.Object
- - org.jfree.ui.VerticalAlignment

- All Implemented Interfaces:
    java.io.Serializable

      public final class VerticalAlignment
      extends java.lang.Object
      implements java.io.Serializable

  An enumeration of the vertical alignment types (`TOP`, `BOTTOM` and `CENTER`).
  Author:
    David Gilbert
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static VerticalAlignment` | `BOTTOM` Bottom alignment.
    `static VerticalAlignment` | `CENTER` Center alignment.
    `static VerticalAlignment` | `TOP` Top alignment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
    `int` | `hashCode()` Returns a hash code value for the object.
    `java.lang.String` | `toString()` Returns a string representing the object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOP

          public static final VerticalAlignment TOP

      Top alignment.

    - #### BOTTOM

          public static final VerticalAlignment BOTTOM

      Bottom alignment.

    - #### CENTER

          public static final VerticalAlignment CENTER

      Center alignment.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representing the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string.

    - #### equals

          public boolean equals(java.lang.Object o)

      Returns `true` if this object is equal to the specified object, and `false` otherwise.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the other object.
      Returns:
        a boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        the hashcode